Bug 10909 - samba-tool can't treat RCF2307 enabled user accounts
samba-tool can't treat RCF2307 enabled user accounts
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.2.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-30 20:20 UTC by Marc Muehlfeld
Modified: 2015-02-22 13:14 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master (6.42 KB, patch)
2014-10-30 20:29 UTC, Marc Muehlfeld
no flags Details
Patch for master (7.32 KB, patch)
2015-01-30 13:49 UTC, Marc Muehlfeld
no flags Details
Patch for v4.2-test (7.56 KB, text/plain)
2015-02-03 20:08 UTC, Marc Muehlfeld
jelmer: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2014-10-30 20:20:10 UTC
It's not possible to create users via samba-tool with NIS domain enabled. Also it's not possible to define a unixHomeDirectory.


If a NIS enabled user account should be created,
--uid-number=, --login-shell=, --unix-home=, --gid-number=
have to be mandatory (like in ADUC).


Additionally if enabling NIS on an account, the following attributes have to be added to the user account:
msSFU30Name: {username}
unixUserPassword: ABCD!efgh12345$67890
Comment 1 Marc Muehlfeld 2014-10-30 20:29:12 UTC
Created attachment 10390 [details]
Patch for master

Attached a patch for master, providing this feature
Comment 2 Marc Muehlfeld 2015-01-30 13:49:53 UTC
Created attachment 10703 [details]
Patch for master

Attached a newer version of my patch.
Comment 3 Marc Muehlfeld 2015-02-03 20:08:04 UTC
Created attachment 10705 [details]
Patch for v4.2-test

Patch is meanwhile in master. Attached the cherry-picked patch for v4.2-test.
Comment 4 Marc Muehlfeld 2015-02-13 19:03:30 UTC
@Jelmer: Can you please review the v4.2-test patch and assign the bug report then to Karolin, so she can push it to 4.2? Thanks.
Comment 5 Marc Muehlfeld 2015-02-18 19:44:31 UTC
Karolin, please push the patch to v4.2-test. Thanks.
Comment 6 Karolin Seeger 2015-02-19 20:15:46 UTC
Pushed to autobuild-v4-2-test.
Comment 7 Karolin Seeger 2015-02-22 13:14:15 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!